// semafor 5-komorowy odchyl.+pas zielony: p1=nazwa p2,p3,p4=lokacja, p5=rotacja, p6=symbol, p7=nazwa tarczy ostrzegawczej
//semafor ten stosuje sie jako wjazdowy, UWAGA - (p7) jest nazwa poprzedzajacej tarczy ostrzegawczej sprzezonej z tym semaforem!
// od SS5* rozni sie dodatkowymi stanami s6 do s9 (vmax=100km/h)
// stosowac na linii zelektryfikowanej lub tam gdzie sa klopoty z widocznoscia

origin (p2) (p3) (p4)
rotate 0 (p5) 0
//model semafora 5komorowego z odchylona w lewo glowica, z zielonym pasem:
node -1 0 (p1)S model 0 0 0 180 PKP/S-green.t3d none Lights 0 endmodel            		   //pas 
node -1 0 (p1) model -0.45 0.17 0 0 PKP/head5_gyryw.t3d (p6) Lights 0 0 1 0 0 endmodel    //glowica przesunieta w lewo
node -1 0 none model 0 0 0 0 PKP/post-Y-h5.t3d PKP/pkplight_manpost.tga endmodel          //slup+drabinka

node 800 150 none lines 100 50 20 100.0                                                //linia zeby byl maszt widoczny z daleka
0.0 0.0 0.0	0.0 3.5 0.0 
endline
rotate 0 0 0
endorigin

// PODSTAWOWE ZDARZENIA:

//odczyt z pamieci (zdarzenie przypisane do toru przy ktorym stoi semafor):
event (p1)_sem_info getvalues 1.0 (p1)_sem_mem endevent

//stany semafora:

event (p1)_s1 multiple 0 none (p1)_sem_ligh1 (p1)_sem_lighs1 (p1)_sem_info_stop (p7)_os1 endevent

event (p1)_s2 multiple 0 none (p1)_sem_ligh2 (p1)_sem_info_vmax (p1)_sem_distinfo_vmax (p7)_os2 endevent

event (p1)_s3 multiple 0 none (p1)_sem_ligh3 (p1)_sem_info_vmax (p1)_sem_distinfo_v100 (p7)_os2 endevent

event (p1)_s4 multiple 0 none (p1)_sem_ligh4 (p1)_sem_info_vmax (p1)_sem_distinfo_v40 (p7)_os2 endevent

event (p1)_s5 multiple 0 none (p1)_sem_ligh5 (p1)_sem_info_vmax (p1)_sem_distinfo_stop (p7)_os2 endevent

event (p1)_s6 multiple 0 none (p1)_sem_ligh10 (p1)_sem_lighs2 (p1)_sem_info_v100 (p1)_sem_distinfo_vmax (p7)_os3 endevent

event (p1)_s7 multiple 0 none (p1)_sem_ligh11 (p1)_sem_lighs2 (p1)_sem_info_v100 (p1)_sem_distinfo_v100 (p7)_os3 endevent

event (p1)_s8 multiple 0 none (p1)_sem_ligh12 (p1)_sem_lighs2 (p1)_sem_info_v100 (p1)_sem_distinfo_v40 (p7)_os3 endevent

event (p1)_s9 multiple 0 none (p1)_sem_ligh13 (p1)_sem_lighs2 (p1)_sem_info_v100 (p1)_sem_distinfo_stop (p7)_os3 endevent

event (p1)_s10 multiple 0 none (p1)_sem_ligh10 (p1)_sem_info_v40 (p1)_sem_distinfo_vmax (p7)_os4 endevent

event (p1)_s11 multiple 0 none (p1)_sem_ligh11 (p1)_sem_info_v40 (p1)_sem_distinfo_v100 (p7)_os4 endevent

event (p1)_s12 multiple 0 none (p1)_sem_ligh12 (p1)_sem_info_v40 (p1)_sem_distinfo_v40 (p7)_os4 endevent

event (p1)_s13 multiple 0 none (p1)_sem_ligh13 (p1)_sem_info_v40 (p1)_sem_distinfo_stop (p7)_os4 endevent

event (p1)_ms2 multiple 0 none (p1)_sem_lighm2 (p1)_sem_info_shunt2 endevent

event (p1)_sz1 multiple 0 none (p1)_sem_lighz1 (p1)_sem_info_v20 endevent

//powyzsze zdarzenia skladaja sie z:


//memcell do pamietania predkosci:
node -1 0 (p1)_sem_mem memcell (p2) (p3) (p4) SetVelocity 0.0 0.0 none endmemcell

//zdarzenia wpisujace w memcell predkosci przy tym (info) i przy nastepnym (distinfo) semaforze:
event (p1)_sem_info_stop updatevalues 10.0 (p1)_sem_mem SetVelocity 0.0 0.0 endevent
event (p1)_sem_distinfo_stop updatevalues 1.0 (p1)_sem_mem SetVelocity * 0.0 endevent
event (p1)_sem_info_vmax updatevalues 1.0 (p1)_sem_mem SetVelocity -1 * endevent
event (p1)_sem_info_v100 updatevalues 2.0 (p1)_sem_mem SetVelocity 100 * endevent
event (p1)_sem_distinfo_vmax updatevalues 0.0 (p1)_sem_mem SetVelocity * -1 endevent
event (p1)_sem_distinfo_v100 updatevalues 1.0 (p1)_sem_mem SetVelocity * 100 endevent
event (p1)_sem_info_v40 updatevalues 1.0 (p1)_sem_mem SetVelocity 40 * endevent
event (p1)_sem_distinfo_v40 updatevalues 0.0 (p1)_sem_mem SetVelocity * 40 endevent
event (p1)_sem_info_v20 updatevalues 1.0 (p1)_sem_mem SetVelocity 20 0 endevent
// dziala tylko na pojazdy w trybie manewrowym:
event (p1)_sem_info_shunt2 updatevalues 1.0 (p1)_sem_mem ShuntVelocity 40 0 endevent

//zdarzenia sterujace swiatlami:
event (p1)_sem_ligh1 lights 0.0 (p1)  0 0 1 0 0 endevent
event (p1)_sem_lighs1 lights 0.0 (p1)S  0 endevent
event (p1)_sem_ligh2 lights 0.0 (p1)  1 0 0 0 0 endevent
event (p1)_sem_lighs2 lights 0.0 (p1)S  1 endevent
event (p1)_sem_ligh3 lights 0.0 (p1)  2 0 0 0 0 endevent
event (p1)_sem_ligh4 lights 0.0 (p1)  0 2 0 0 0 endevent
event (p1)_sem_ligh5 lights 0.0 (p1)  0 1 0 0 0 endevent
event (p1)_sem_ligh10 lights 0.0 (p1) 1 0 0 1 0 endevent
event (p1)_sem_ligh11 lights 0.0 (p1) 2 0 0 1 0 endevent
event (p1)_sem_ligh12 lights 0.0 (p1) 0 2 0 1 0 endevent
event (p1)_sem_ligh13 lights 0.0 (p1) 0 1 0 1 0 endevent
event (p1)_sem_lighm2 lights 0.0 (p1) 0 0 0 0 1 endevent
event (p1)_sem_lighz1 lights 0.0 (p1) 0 0 1 0 2 endevent
